Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::ConvexPlanarOccluder Class Reference

A class for representing convex clipping volumes made up of several ConvexPlanarPolygon. More...

Inheritance diagram for osg::ConvexPlanarOccluder:

[legend]
List of all members.

## Public Types
typedef std::vector< ConvexPlanarPolygon > | HoleList
## Public Member Functions
| ConvexPlanarOccluder ()
| ConvexPlanarOccluder (const ConvexPlanarOccluder &cpo, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, ConvexPlanarOccluder)
void | setOccluder (const ConvexPlanarPolygon &cpp)
ConvexPlanarPolygon & | getOccluder ()
const ConvexPlanarPolygon & | getOccluder () const
void | addHole (const ConvexPlanarPolygon &cpp)
void | setHoleList (const HoleList &holeList)
HoleList & | getHoleList ()
const HoleList & | getHoleList () const
## Protected Member Functions
| ~ConvexPlanarOccluder ()
## Protected Attributes
ConvexPlanarPolygon | _occluder
HoleList | _holeList

## Detailed Description

A class for representing convex clipping volumes made up of several ConvexPlanarPolygon.

When adding polygons, their normals should point inwards (into the volume)

## Member Typedef Documentation

typedef std::vector<ConvexPlanarPolygon> osg::ConvexPlanarOccluder::HoleList

## Constructor & Destructor Documentation

osg::ConvexPlanarOccluder::ConvexPlanarOccluder | ( |  | ) | `[inline]`

osg::ConvexPlanarOccluder::ConvexPlanarOccluder | ( | const ConvexPlanarOccluder & | cpo,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

osg::ConvexPlanarOccluder::~ConvexPlanarOccluder | ( |  | ) | `[protected]`

## Member Function Documentation

void osg::ConvexPlanarOccluder::addHole | ( | const ConvexPlanarPolygon & | cpp | ) | `[inline]`

const HoleList& osg::ConvexPlanarOccluder::getHoleList | ( |  | ) | const`[inline]`

HoleList& osg::ConvexPlanarOccluder::getHoleList | ( |  | ) | `[inline]`

const ConvexPlanarPolygon& osg::ConvexPlanarOccluder::getOccluder | ( |  | ) | const`[inline]`

ConvexPlanarPolygon& osg::ConvexPlanarOccluder::getOccluder | ( |  | ) | `[inline]`

osg::ConvexPlanarOccluder::META_Object | ( | osg | ,
|  | ConvexPlanarOccluder |
| ) |

void osg::ConvexPlanarOccluder::setHoleList | ( | const HoleList & | holeList | ) | `[inline]`

void osg::ConvexPlanarOccluder::setOccluder | ( | const ConvexPlanarPolygon & | cpp | ) | `[inline]`

## Member Data Documentation

HoleList osg::ConvexPlanarOccluder::_holeList`[protected]`

ConvexPlanarPolygon osg::ConvexPlanarOccluder::_occluder`[protected]`

The documentation for this class was generated from the following file:

- ConvexPlanarOccluder